package routers

import (
	"github.com/gin-gonic/gin"
	"hongze/hongze_yb/controller/report"
	"hongze/hongze_yb/middleware"
)

// InitResearchReport 初始化报告
func InitResearchReport(r *gin.Engine) {
	rGroup := r.Group("report").Use(middleware.Token())
	{
		rGroup.GET("/research_report", report.GetResearchReportInfo)
		rGroup.GET("/research_report_chapter", report.GetResearchReportChapter)
	}

	initResearchReport(r)
}

// initResearchReport 初始化报告
func initResearchReport(r *gin.Engine) {
	rGroup := r.Group("api/report").Use(middleware.Token())
	{
		rGroup.GET("/research_report", report.GetResearchReportInfo)
		rGroup.GET("/research_report_chapter", report.GetResearchReportChapter)
	}
}
